## ros-kinetic-pilz-robot-programming 0.3.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pilz_robot_programming)

find_package(catkin REQUIRED COMPONENTS roslint rospy)

catkin_package()

#############
## Install ##
#############

catkin_python_setup()

catkin_install_python(PROGRAMS
   examples/demo_program.py
   examples/demo_gripper_program.py
   examples/demo_brake_test_program.py
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)

  find_package(rostest REQUIRED)

  include_directories(
    ${catkin_INCLUDE_DIRS}
  )

  # integration test files
  file(GLOB integrationtest_files "test/integrationtests/*.test")
  file(GLOB integrationtest_scripts "test/integrationtests/*.py")

  if(ENABLE_COVERAGE_TESTING)
    foreach(file ${integrationtest_files})
      add_rostest(${file} ARGS coverage:=True)
    endforeach()
  else()
    foreach(file ${integrationtest_files})
      add_rostest(${file})
    endforeach()
  endif()

  roslint_python(
    src/${PROJECT_NAME}/__init__.py
    src/${PROJECT_NAME}/robot.py
    src/${PROJECT_NAME}/commands.py
    src/${PROJECT_NAME}/exceptions.py
    src/${PROJECT_NAME}/move_control_request.py
    ${integrationtest_scripts}
  )
  roslint_add_test()

function(ADD_PYTHON_COVERAGE)
    set(options NONE)
    set(oneValueArgs NAME)
    set(multiValueArgs DEPENDENCIES)
    cmake_parse_arguments(Coverage "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

  add_custom_target(${Coverage_NAME}_cleanup
      # Cleanup coverage data from previous run
      COMMAND python-coverage erase
      WORKING_DIRECTORY $ENV{HOME}/.ros
      COMMENT "Resetting python code coverage counters to zero."
  )

  add_custom_target(${Coverage_NAME}
      COMMAND python-coverage combine
      COMMAND python-coverage report --include "*${PROJECT_SOURCE_DIR}*" --omit ${COVERAGE_EXCLUDES}
      COMMAND python-coverage html --include "*${PROJECT_SOURCE_DIR}*" --omit ${COVERAGE_EXCLUDES}
      WORKING_DIRECTORY $ENV{HOME}/.ros
      DEPENDS _run_tests_${PROJECT_NAME}
      COMMENT "Processing code coverage counters and generating report. Please find the generated report in $ENV{HOME}/.ros/htmlcov/index.html"
  )

  add_dependencies(_run_tests_${PROJECT_NAME} ${Coverage_NAME}_cleanup)
endfunction() # SETUP_TARGET_FOR_COVERAGE

  # to run: catkin_make -DENABLE_COVERAGE_TESTING=ON package_name_coverage
  # Import errors may arise when packages are installed in the non-standard path /usr/lib/python2.7/dist-packages
  # This problem can be avoided by including the path in the PYTHONPATH environment variable
  if(ENABLE_COVERAGE_TESTING)
      set(COVERAGE_EXCLUDES "*/${PROJECT_NAME}/test/*") #comma-sparated list of ignored patterns
      add_python_coverage(
          NAME ${PROJECT_NAME}_coverage
          )
  endif(ENABLE_COVERAGE_TESTING)

endif()

=== debian/changelog ===
ros-kinetic-pilz-robot-programming (0.3.10-1xenial) xenial; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 10 Sep 2019 22:00:00 -0000

ros-kinetic-pilz-robot-programming (0.3.9-1xenial) xenial; urgency=high

  * fix PEP issues
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 04 Sep 2019 22:00:00 -0000

ros-kinetic-pilz-robot-programming (0.3.8-1xenial) xenial; urgency=high

  * Add python api methods for brake tests

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 01 Jul 2019 22:00:00 -0000

ros-kinetic-pilz-robot-programming (0.3.7-1xenial) xenial; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 08 May 2019 22:00:00 -0000

ros-kinetic-pilz-robot-programming (0.3.6-1xenial) xenial; urgency=high

  * Minor fixes

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 25 Feb 2019 23:00:00 -0000

ros-kinetic-pilz-robot-programming (0.3.5-1xenial) xenial; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 05 Feb 2019 23:00:00 -0000

ros-kinetic-pilz-robot-programming (0.3.4-1xenial) xenial; urgency=high

  * enable Robot instantiation after a program got killed; add corresponding test
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 04 Feb 2019 23:00:00 -0000

ros-kinetic-pilz-robot-programming (0.3.3-1xenial) xenial; urgency=high

  * apply renaming command_planner -> pilz_command_planner

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 24 Jan 2019 23:00:00 -0000

ros-kinetic-pilz-robot-programming (0.3.2-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 17 Jan 2019 23:00:00 -0000

ros-kinetic-pilz-robot-programming (0.3.1-1xenial) xenial; urgency=high

  * Add RobotMotionObserver in testutils
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Sun, 16 Dec 2018 23:00:00 -0000

ros-kinetic-pilz-robot-programming (0.3.0-1xenial) xenial; urgency=high

  * Release Python-API
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 27 Nov 2018 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pilz-robot-programming
Section: misc
Priority: extra
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), python-coverage, python-docopt, python-mock, ros-kinetic-catkin, ros-kinetic-pilz-industrial-motion-testutils, ros-kinetic-prbt-moveit-config, ros-kinetic-prbt-pg70-support, ros-kinetic-roslint, ros-kinetic-rospy, ros-kinetic-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-pilz-robot-programming
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-psutil, ros-kinetic-moveit-commander, ros-kinetic-pilz-msgs, ros-kinetic-pilz-trajectory-generation, ros-kinetic-rospy, ros-kinetic-tf, ros-kinetic-tf-conversions
Description: An Easy to use API to execute standard industrial robot commands like Ptp, Lin, Circ and Sequence using Moveit.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pilz-robot-programming//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
